Package org.eclipse.emf.compare.equi

## Class DefaultEquiEngine

- java.lang.Object
- - org.eclipse.emf.compare.equi.DefaultEquiEngine

All Implemented Interfaces:
  `IEquiEngine`

    public class DefaultEquiEngine
    extends Object
    implements IEquiEngine

The requirements engine is in charge of actually computing the equivalences between the differences.

This default implementation aims at being generic enough to be used for any model, whatever the metamodel. However, specific requirements might be necessary.

TODO document available extension possibilities.

### Constructor Summary

Constructors
`DefaultEquiEngine()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `checkForEquivalences​(Comparison comparison, Diff difference)` Checks the potential equivalence from the given `difference`.
`protected void` `checkForEquivalences​(Comparison comparison, FeatureMapChange featureMapChange)` Checks the potential equivalence from the given `difference`.
`protected void` `checkForEquivalences​(Comparison comparison, ReferenceChange referenceChange)` Checks the potential equivalence from the given `difference`.
`void` `computeEquivalences​(Comparison comparison, Monitor monitor)` This is the entry point of the equivalence computing process.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultEquiEngine

    public DefaultEquiEngine()

### Method Detail

#### computeEquivalences

    public void computeEquivalences​(Comparison comparison,
                                    Monitor monitor)

This is the entry point of the equivalence computing process.

It will complete the input `comparison` by iterating over the `differences` it contain, filling in the equivalence it can detect for each distinct Diff.

Specified by:
  `computeEquivalences` in interface `IEquiEngine`
Parameters:
  `comparison` - The comparison this engine is expected to complete.
  `monitor` - The monitor to report progress or to check for cancellation
See Also:
  `IEquiEngine.computeEquivalences(org.eclipse.emf.compare.Comparison, org.eclipse.emf.common.util.Monitor)`

#### checkForEquivalences

    protected void checkForEquivalences​(Comparison comparison,
                                        Diff difference)

Checks the potential equivalence from the given `difference`.

Parameters:
  `comparison` - The comparison this engine is expected to complete.
  `difference` - The difference that is to be checked

#### checkForEquivalences

    protected void checkForEquivalences​(Comparison comparison,
                                        ReferenceChange referenceChange)

Checks the potential equivalence from the given `difference`.

Parameters:
  `comparison` - The comparison this engine is expected to complete.
  `referenceChange` - The difference that is to be checked

#### checkForEquivalences

    protected void checkForEquivalences​(Comparison comparison,
                                        FeatureMapChange featureMapChange)

Checks the potential equivalence from the given `difference`.

Parameters:
  `comparison` - The comparison this engine is expected to complete.
  `featureMapChange` - The difference that is to be checked
Since:
  3.2